Update the parents of a document

Update the parents of a document in the data source identified by {dsId} in the workspace identified by {wId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique string identifier for the workspace

string
required

ID of the space

string
required

ID of the data source

string
required

ID of the document

Body Params
string

Direct parent ID of the document

parents
array of strings

Document and ancestor ids, with the following convention: parents[0] === documentId, parents[1] === parentId, and then ancestors ids in order

parents
Responses
200

The parents were updated

400

Bad Request. Missing or invalid parameters.

401

Unauthorized. Invalid or missing authentication token.

404

Data source or workspace not found.

405

Method not supported.

500

Internal Server Error.

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!